# Session manager

To be able to run a graphical enviroment it's necessary to run a seat and session manager. It's recommended to use `seatd` in conjunction with `turnstile` and `pam_rundir` for a minimal setup:

```
# apk add seatd turnstile pam-rundir
# rc-update add seatd default
# rc-update add turnstiled default
```

Then make sure `pam_rundir` exports `XDG_RUNTIME_DIR` by uncommenting its line in `/etc/pam.d/base-session`:

```
session optional pam_rundir.so
```

And turn off `manage_rundir` in `/etc/turnstile/turnstiled.conf`:

```
manage_rundir = no
```

> Also make sure your user is in the `seat` group.
